## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class AssertExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.AssertExpImpl

All Implemented Interfaces:
  AssertExp, ImperativeExpression

    public class AssertExpImpl

extends ImperativeExpressionImpl
implements AssertExp

An implementation of the model object 'Assert Exp'.

The following features are implemented:

- `Assertion`
- `Log`
- `Severity`

Field Summary
`protected OCLExpression` `assertion` The cached value of the '`Assertion`' containment reference
`protected LogExp` `log` The cached value of the '`Log`' containment reference
`protected SeverityKind` `severity` The cached value of the '`Severity`' attribute
`protected static SeverityKind` `SEVERITY_EDEFAULT` The default value of the '`Severity`' attribute

Constructor Summary
`protected` `AssertExpImpl()`

Method Summary

`

`<T,U extends <any>> T`

`

`accept(U v)`

`NotificationChain` `basicSetAssertion(OCLExpression newAssertion, NotificationChain msgs)`
`NotificationChain` `basicSetLog(LogExp newLog, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`OCLExpression` `getAssertion()`
`LogExp` `getLog()`
`SeverityKind` `getSeverity()`
`void` `setAssertion(OCLExpression newAssertion)`
`void` `setLog(LogExp newLog)`
`void` `setSeverity(SeverityKind newSeverity)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### assertion

    protected OCLExpression assertion

  The cached value of the '`Assertion`' containment reference.

  See Also:
    `getAssertion()`

### log

    protected LogExp log

  The cached value of the '`Log`' containment reference.

  See Also:
    `getLog()`

### SEVERITY_EDEFAULT

    protected static final SeverityKind SEVERITY_EDEFAULT

  The default value of the '`Severity`' attribute.

  See Also:
    `getSeverity()`

### severity

    protected SeverityKind severity

  The cached value of the '`Severity`' attribute.

  See Also:
    `getSeverity()`

Constructor Detail

### AssertExpImpl

    protected AssertExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getAssertion

    public OCLExpression getAssertion()

  Specified by:
    `getAssertion` in interface `AssertExp`
  Returns:
    the value of the 'Assertion' containment reference.
  See Also:
    `AssertExp.setAssertion(OCLExpression)`, `ImperativeOCLPackage.getAssertExp_Assertion()`

### basicSetAssertion

    public NotificationChain basicSetAssertion(OCLExpression newAssertion,
                                               NotificationChain msgs)

### setAssertion

    public void setAssertion(OCLExpression newAssertion)

  Specified by:
    `setAssertion` in interface `AssertExp`
  Parameters:
    `newAssertion` - the new value of the 'Assertion' containment reference.
  See Also:
    `AssertExp.getAssertion()`

### getLog

    public LogExp getLog()

  Specified by:
    `getLog` in interface `AssertExp`
  Returns:
    the value of the 'Log' containment reference.
  See Also:
    `AssertExp.setLog(LogExp)`, `ImperativeOCLPackage.getAssertExp_Log()`

### basicSetLog

    public NotificationChain basicSetLog(LogExp newLog,
                                         NotificationChain msgs)

### setLog

    public void setLog(LogExp newLog)

  Specified by:
    `setLog` in interface `AssertExp`
  Parameters:
    `newLog` - the new value of the 'Log' containment reference.
  See Also:
    `AssertExp.getLog()`

### getSeverity

    public SeverityKind getSeverity()

  Specified by:
    `getSeverity` in interface `AssertExp`
  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `SeverityKind`, `AssertExp.setSeverity(SeverityKind)`, `ImperativeOCLPackage.getAssertExp_Severity()`

### setSeverity

    public void setSeverity(SeverityKind newSeverity)

  Specified by:
    `setSeverity` in interface `AssertExp`
  Parameters:
    `newSeverity` - the new value of the 'Severity' attribute.
  See Also:
    `SeverityKind`, `AssertExp.getSeverity()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ImperativeExpressionImpl`

### accept

    public <T,U extends <any>> T accept(U v)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.